Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 2930)
+++ trunk/SophyaPI/PIext/Makefile	(revision 2933)
@@ -927,37 +789,25 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomimagadapter.cc
  
@@ -965,20 +815,19 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -991,34 +840,26 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)utilgeom.h $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -1032,10 +873,5 @@
   $(SOPHYAINCP)fiolocalmap.h \
   $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
-  $(SOPHYAINCP)complexios.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitslocalmap.h
+  $(SOPHYAINCP)complexios.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomskymapadapter.cc
  
@@ -1043,20 +879,18 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  nomspecrespadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h nomspecrespadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1069,51 +903,42 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)specresp.h \
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
  
-$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1126,33 +951,22 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pitvmaad.h \
-  $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtarradapter.cc
  
@@ -1160,14 +974,11 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1178,26 +989,21 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  nomtmatvecadapter.h nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1210,23 +1016,16 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1236,38 +1035,29 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pawexecut.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)segdatablock.h pawexecut.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1280,9 +1070,7 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
@@ -1309,11 +1097,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1326,6 +1112,6 @@
 $(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1335,21 +1121,17 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)nbtri.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1357,6 +1139,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1369,6 +1150,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1391,20 +1171,15 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1416,9 +1191,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1429,9 +1204,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h pistdimgapp.h \
@@ -1442,6 +1215,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1454,6 +1226,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1476,55 +1247,44 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h \
-  graphexecut.h piafitting.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h basexecut.h graphexecut.h \
+  piafitting.h nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h pawexecut.h cxxexecutor.h \
+  cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
-$(SOPHYAOBJP)piafitting.o: piafitting.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)nbtri.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piafitting.o: piafitting.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)nbtri.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1534,28 +1294,22 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)fct2dfit.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)objfitter.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)objfitter.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1568,14 +1322,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h nobjmgr.h \
-  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  nobjmgr.h pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)picontainerx.h \
@@ -1598,11 +1349,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1611,6 +1360,5 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
@@ -1618,8 +1366,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1629,27 +1377,21 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1662,13 +1404,12 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1678,28 +1419,22 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1712,15 +1447,13 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd2.cc
  
-$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h \
-  pihisto.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h pihisto.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1730,25 +1463,20 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
